Bug 54968 - Problems with the raid1 module in kernel-2.2.19-6.2.10
Problems with the raid1 module in kernel-2.2.19-6.2.10
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
6.2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-10-23 16:09 EDT by Need Real Name
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-10-23 16:09:02 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.4) Gecko/20010917

Description of problem:
 installed kernel-2.2.19-6.2.10 on an Athlon 700 with two ide hard drives
running software raid1.  After about a day of use many operations that
involved reading files would seg fault.  grep and cat would both seg fault
if I cated a file larger than about 5 megs. mutt too would seg fault.  The
only kernel module loded at the time was the network card and raid1.  Since
the problem seemed to be related to reading from the disk and other people
using this kernel are not having this problem I am going out on a limb to
say it was the raid1 module.  Unfortunatly there were no logs or messages
generated during this peroid.  A reboot fixed the problem but it came back
after a day of uptime.  As this is a production box I had to roll back to
kernel-2.2.17-14.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. boot my box running software raid1 with kernel-2.2.19-6.2.10
2. wait a day


Actual Results:  things seg faulting left and right when accessing some
files.  cat grep mutt and su all triggered this

Expected Results:  a stable computer

Additional info:
Comment 1 Bugzilla owner 2004-09-30 11:39:12 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.